﻿<?xml version="1.0" encoding="utf-8" ?>
<ContentPage xmlns="http://xamarin.com/schemas/2014/forms"
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
             xmlns:resx="clr-namespace:MyADA.Common.Views.Properties;assembly=MyADA.Common.Views"
             xmlns:ctrl="clr-namespace:CoreSDK.Controls;assembly=CoreSDK.MicroFramework.XamarinForms"
             xmlns:ContentView="clr-namespace:MyADA.Common.Views.ContentViews;assembly=MyADA.Common.Views"
             xmlns:adabh="clr-namespace:CoreSDK.Behaviors;assembly=CoreSDK.MicroFramework.XamarinForms"
             x:Class="MyADA.Common.Views.LeadsDetailsView" BackgroundColor="Transparent">

  <Grid x:Name="mainGrid" RowSpacing="0">

    <Grid.Behaviors>
      <adabh:ActivityIndicatorBehavior Label="{Static resx:Resources.Button_ActivityIndicator_Label}" />
    </Grid.Behaviors>

    <Grid.Padding>
      <OnPlatform x:TypeArguments="Thickness" iOS="0,20,0,0" Android="0" WinPhone="0" />
    </Grid.Padding>

    <Grid.RowDefinitions>
      <RowDefinition Height="50"/>
      <RowDefinition Height="*"/>
    </Grid.RowDefinitions>

    <!--HEADER-->
    <ContentView:Header Grid.Row="0"/>

    <!--CONTENT-->
    <Grid Grid.Row="1" Grid.RowSpacing="0" Padding="40,20">
      <Grid.RowDefinitions>
        <RowDefinition Height="Auto"/>
        <RowDefinition Height="Auto"/>
        <RowDefinition Height="Auto"/>
      </Grid.RowDefinitions>

      <!--TITLE-->
      <Grid Grid.Row="0" Grid.ColumnSpacing="0" HeightRequest="{StaticResource TITLE_HEIGHT}" BackgroundColor="{DynamicResource BoxTitleBackgroundColor}" Padding="10">
        <Grid.ColumnDefinitions>
          <ColumnDefinition Width="*"/>
          <ColumnDefinition Width="6*"/>
          <ColumnDefinition Width="*"/>
        </Grid.ColumnDefinitions>

        <ContentView:BackButton Grid.Column="0"/>

        <StackLayout Grid.Column="0" HorizontalOptions="FillAndExpand" VerticalOptions="FillAndExpand">
          <StackLayout.GestureRecognizers>
            <TapGestureRecognizer Tapped="backButton_Tapped"/>
          </StackLayout.GestureRecognizers>
        </StackLayout>

        <Label Grid.Column="1" Text="{Static resx:Resources.LeadsDetails_LeadsDetails_Text}" Style="{DynamicResource BoxTitleStyle}" FontSize="24" HorizontalOptions="CenterAndExpand" VerticalOptions="CenterAndExpand"/>
      </Grid>

      <!--INFOS-->
      <Grid Grid.Row="1" Grid.ColumnSpacing="0" Grid.RowSpacing="0" BackgroundColor="{DynamicResource BoxItemBackgroundColor}">
        <Grid.RowDefinitions>
          <RowDefinition Height="{StaticResource BORDER_BOX_HEIGHT}" />
          <RowDefinition Height="*" />
          <RowDefinition Height="{StaticResource BORDER_BOX_HEIGHT}" />
        </Grid.RowDefinitions>

        <Grid.ColumnDefinitions>
          <ColumnDefinition Width="0.7" />
          <ColumnDefinition Width="*" />
          <ColumnDefinition Width="0.7" />
        </Grid.ColumnDefinitions>

        <StackLayout VerticalOptions="FillAndExpand" HorizontalOptions="FillAndExpand" BackgroundColor="{DynamicResource BoxItemBorderColor}" Grid.Column="0" Grid.Row="0" Grid.RowSpan="3" />
        <StackLayout VerticalOptions="FillAndExpand" HorizontalOptions="FillAndExpand" BackgroundColor="{DynamicResource BoxItemBorderColor}" Grid.Column="2" Grid.Row="0" Grid.RowSpan="3" />
        <StackLayout VerticalOptions="FillAndExpand" HorizontalOptions="FillAndExpand" BackgroundColor="{DynamicResource BoxItemBorderColor}" Grid.Column="1" Grid.Row="2" />

        <Grid Grid.Column="1" Grid.Row="1" Grid.RowSpacing="10" Padding="10,30">
          <Grid.RowDefinitions>
            <RowDefinition Height="Auto"/>
            <RowDefinition Height="Auto"/>
            <RowDefinition Height="Auto"/>
            <RowDefinition Height="Auto"/>
            <RowDefinition Height="Auto"/>
            <RowDefinition Height="Auto"/>
          </Grid.RowDefinitions>

          <Label Grid.Row="0" Text="15/09/2016" Style="{DynamicResource BoxMediumLabelStyle}" HorizontalOptions="CenterAndExpand" VerticalOptions="StartAndExpand"/>
          <Label Grid.Row="1" Text="21H28" Style="{DynamicResource BoxMediumLabelStyle}" HorizontalOptions="CenterAndExpand" VerticalOptions="StartAndExpand"/>
          <Label Grid.Row="2" Text="TestDrive" Style="{DynamicResource BoxMediumLabelStyle}" HorizontalOptions="CenterAndExpand" VerticalOptions="StartAndExpand"/>
          <Label Grid.Row="3" Text="R8 and RS6" Style="{DynamicResource BoxMediumLabelStyle}" HorizontalOptions="CenterAndExpand" VerticalOptions="StartAndExpand"/>
          <Label Grid.Row="4" Text="Chen Lee" Style="{DynamicResource BoxMediumLabelStyle}" HorizontalOptions="CenterAndExpand" VerticalOptions="StartAndExpand"/>
          <Label Grid.Row="5" Text="01 865 942" Style="{DynamicResource BoxMediumLabelStyle}" HorizontalOptions="CenterAndExpand" VerticalOptions="StartAndExpand"/>
        </Grid>
      </Grid>
      
      <!--SAVE BUTTON-->
      <Grid Grid.Row="2" Grid.ColumnSpacing="0" Padding="0,20,0,0">
        <Grid.ColumnDefinitions>
          <ColumnDefinition Width="*"/>
          <ColumnDefinition Width="2*"/>
          <ColumnDefinition Width="*"/>
        </Grid.ColumnDefinitions>

        <Grid Grid.Column="1" Grid.ColumnSpacing="10" Style="{DynamicResource DoubleArrowedGridStyle}" Padding="10">
          <Grid.ColumnDefinitions>
            <ColumnDefinition Width="*"/>
            <ColumnDefinition Width="Auto"/>
            <ColumnDefinition Width="Auto"/>
            <ColumnDefinition Width="*"/>
          </Grid.ColumnDefinitions>

          <Image Grid.Column="1" Style="{DynamicResource DisquetteImageStyle}" HorizontalOptions="EndAndExpand" VerticalOptions="CenterAndExpand"/>
          <Label Grid.Column="2" Text="{Static resx:Resources.LeadsDetails_Save_Text}" Style="{DynamicResource SendLabelStyle}" HorizontalOptions="StartAndExpand" VerticalOptions="CenterAndExpand"/>
        </Grid>
      </Grid>

    </Grid>

    <ContentView:LoadingScreen Grid.Row="0" Grid.RowSpan="2" x:Name="LoadingScreen" IsVisible="{Binding IsBusy}" />
    
  </Grid>
</ContentPage>